"""Meta configuration for waeup.sirp.csvfile components.
"""
import martian
import waeup.sirp.csvfile.csvfile
from waeup.sirp.csvfile import CSVFile

# This grokker fills the registry on startup, with any class that is
# derived from `CSVFileWrapper`...
class CSVFileWrapperGrokker(martian.ClassGrokker):
    martian.component(CSVFile)
    def execute(self, klass, **kw):
        waeup.sirp.csvfile.csvfile.csvwrappers.append(klass)
        return True
